<?php

namespace Drupal\w3_element_prohibitions\Prohibitions;

class FormProhibitionResolver extends BaseProhibitionResolver {

  /**
   * {@inheritdoc}
   */
  public function resolve(string $hook, array $element): ?string {
    if ($hook !== 'form') {
      return NULL;
    }
    $functions = &drupal_static('w3_element_prohibitions', []);
    if (isset($functions['form']) && $functions['form'] > 1) {
      return NULL;
    }
    return 'child_form';
  }

}
